Subject: Re: wireless-2.6 git repos broken

From: Larry Finger <[email-masked]>
Date: Mon, 24 Jul 2006 19:17:43 -0500

John W. Linville wrote:
> On Sun, Jul 23, 2006 at 11:13:52AM -0500, Larry Finger wrote:
>> Michael Buesch wrote:
>>> On Sunday 23 July 2006 17:59, Larry Finger wrote:
>>>>> Do you have the same problem on other git trees?
>>>>> I saw some people running into this error when cloning Linus' 
>>>>> linux-2.6.git. I couldn't reproduce it, using exactly the same git 
>>>>> version.
>>>> I had the same error when pulling from Linus's tree. It was fixed with a 
>>>> 'git fsck-objects --full' command.
>>> Uhm, that tells me the git tree on kernel.org is broken
>>> and John has to run this command, right?
>>>
>> I think so.
> 
> Hmmm...well, I'll look into it.  FWIW, I cloned my git tree from
> kernel.org onto my laptop while I was at OLS w/o any problems.

There is a thread today on LKML that says that the git server errors out (wrongly) if the download 
does not finish in 10 minutes. That problem is being fixed, but they suggest using rsync protocol to 
clone a large repository.

Michael, is this the cause of your problem?

Larry